local whiches = {defines.events.on_pre_player_mined_item, defines.events.on_robot_pre_mined}
local filters = {
	{filter = "name", name = "stone-furnace"},
}

local function deregister_many()
	script.on_event(whiches, nil)
end

local function deregister_ones()
	for _, which in pairs(whiches) do
		script.on_event(which, nil)
	end
end

local function conditional_event(event)
	game.print("unregistering many")
	deregister_many()
end



script.on_init(function ()
	--filters can only be used for singular registrations
	--script.on_event(whiches, conditional_event, filters)
	for _, which in pairs(whiches) do
		script.on_event(which, conditional_event, filters)
	end
end)

--[[
/c __conditional_event_filter__
for k, v in pairs(defines.events) do
	if script.get_event_handler(v) then
		game.print(k.." has function registered")
	end

	if script.get_event_filter(v) then
		game.print(k.." has filter registered")
	end
end
]]